CodeCanyon PHP Version Finder 142688

CodeCanyon PHP Version Finder 142688

CodeCanyon PHP Version Finder 142688
PHP Script \ Miscellaneous
Syntax \ Highlighting \ Version \ Warning \ Deprecated



PHP Script - PHP Version Finder 142688 by CodeFusion @ CodeCanyon

PHP Script \ Miscellaneous

Last Update: 10 December 10; Compatible Browsers: IE7, IE8, Safari 4, Safari 5, Opera; Software Version: PHP 4.x, PHP 5.x, PHP 5.0 - 5.2, PHP 5.3, MySQL 5.x; High Resolution: No; Files Included: JavaScript JS, HTML, CSS, PHP, SQL.

Demo – Non Database (crippled)

Demo – Database (crippled)

The demos are crippled! We have scrambled the true version of each function and extension.

PHP Version Finder – Updated to v 1.0.3c 12/9/2010
Find what version of PHP your script requires. When asked what version of PHP is required to run our scripts we didn’t have a definitive answer. We created this script to determine the PHP version, and then we took it to another level by seeking out deprecated functions. But we didn’t stop just at that. We included PHP Extensions and language constructs. We almost called it good at that, but then we wondered… how many times we used these functions. Excessive use of the same function can be degrading on performance. Monitoring how many times a function is used can help determine if a “User Created Function” can be created to reduce code and increase performance.

Detection
PHP Version Finder tracks: 3044 PHP Functions, 2260 PHP Extensions, 23 Language Constructs, 19 Alternative Suggestions, 7 Tips/Tricks/Notes. (plus 69 Experimental, 20 Deprecated, 47 “svn” functions)
The code does NOT have to be complete nor functioning. It does not even have to make sense. As long as it is between <?php and ?> it will be evaluated.

Stop Guessing!
Truth be told – most developers “ball-park” what version of PHP is required by recalling a few “key” functions they used. With PHP Version Finder you can know for sure what PHP version is actually required!

Deprecated Detection
PHP Version Finder lets you know if any functions you used are deprecated.

Two Versions
The PHP Version Finder does NOT require a database. However, for those of you who would rather use a database, the script does include a database version.

Why Two Versions?

It all comes down to numbers. If there are lots of PHP functions, the NON database version is faster. If there are only a few functions, the database version is faster. How much faster? Well, it’s measured in micro seconds. So not really noticeable. After we made the database version we decided it was not worth the effort as its performance was not noticeable different. We decided to include it because it was already built – a freebie if you like.

Installation
Installation is simple. Upload the directory, edit two settings and you’re done.

Inputs
You can upload a file from your computer, scan a file or entire directory on the server, or paste code in a box for processing.

Alternative Suggestions
If PHP Version Finder finds functions that are deprecated, it will give you alternative suggestions that could replace the deprecated function.

For Example.

if you use file_put_contents (which requires PHP 5), PHP Version Finder will let you know that you could use fwrite instead which could lower the required version down to PHP 4. Not only that, but there is a note attached to file_put_contents that shows you the code to use to make file_put_contents backwards compatible.

Purchase PHP Version Finder NOW!
Make Life Easy! Find deprecated functions, get backwards compatible suggestions and know what version of PHP is required to run your scripts

Current Features (v 1.0.0) – 12/1/2010

- Optional Database

- Deprecated Detection

- File Upload Processing

- Directory Processing

- Pasted Code Processing

- AutoComplete

- Syntax Highlighter

- 3044 PHP Functions

- 2260 PHP Extensions

- 23 Language Constructs

- 19 Alternative Suggestions

- 7 Tips/Tricks/Notes

- Plus 69 Experimental Functions

- Plus 20 Deprecated Functions

- Plus 47 “svn”/unknown Functions

Update v 1.0.1 12/3/2010

- Fixed Notice Warnings

- Fixed “Undefined Variables” Errors

- Fixed Spelling Errors

- Updated Help File to reflect changes

- Added Licensing Explanation

- Cleaned up the “Report File”

Update v 1.0.2 12/4/2010

- Fixed Notice Warnings

- Fixed “Undefined Variables” Errors

- Updated Help File to reflect changes

Update v 1.0.3c 12/9/2010

- Cleaned up code

- Rewrote how stats are tallied.

- Rewrote the “Report File”

Code Repository | Snippet Manager; Randomator Database Stuffit Generator; Database Code Generator; Server & Website Monitor - Platinum; CraigsList Listing Tool.htaccess Builder; MobiOpt.

Keywords: deprecated warning, php version, syntax highlighting.



Tags: Version, Syntax, Highlighting, Deprecated, Finder

Premium CodeCanyon PHP Version Finder 142688 WordPress Themes, Website Templates, Mobile Themes, Flash Templates & Scripts from creative professional designers. Full details of CodeCanyon PHP Version Finder 142688 for digital design and education. CodeCanyon PHP Version Finder 142688 desigen style information or anything related.

Comments:

Name:*
E-Mail:*
Add Comments:
Enter Code: *